<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('apidetails', function (Blueprint $table) {
            $table->id();
           $table->text('api_key')->nullable();
            $table->text('api_secret')->nullable();
            $table->string('apilable', 255)->nullable(); 
             $table->string('username', 255)->nullable();
            $table->string('password', 255)->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('apidetails');
    }
};
